"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var camelcase_1 = __importDefault(require("camelcase"));
var find_package_json_1 = __importDefault(require("find-package-json"));
var ENV_CONFIG_PREFIX = 'MONGOMS_';
var defaultValues = new Map();
function getPackageJson(directory) {
    var pjIterator = find_package_json_1.default(directory);
    return pjIterator.next().value;
}
function setDefaultValue(key, value) {
    defaultValues.set(key, value);
}
exports.setDefaultValue = setDefaultValue;
var packageJson;
function reInitializePackageJson(directory) {
    packageJson = getPackageJson(directory || process.cwd());
}
exports.reInitializePackageJson = reInitializePackageJson;
reInitializePackageJson();
/**
 * Resolve "variableName" with a prefix of "ENV_CONFIG_PREFIX"
 * @param variableName The variable to use
 */
function resolveConfig(variableName) {
    var _a, _b, _c, _d, _e;
    return (_e = (_a = process.env["" + ENV_CONFIG_PREFIX + variableName], (_a !== null && _a !== void 0 ? _a : (_d = (_c = (_b = packageJson) === null || _b === void 0 ? void 0 : _b.config) === null || _c === void 0 ? void 0 : _c.mongodbMemoryServer) === null || _d === void 0 ? void 0 : _d[camelcase_1.default(variableName)])), (_e !== null && _e !== void 0 ? _e : defaultValues.get(variableName)));
}
exports.default = resolveConfig;
/**
 * Convert "1, on, yes, true" to true (otherwise false)
 * @param env The String / Environment Variable to check
 */
function envToBool(env) {
    return ['1', 'on', 'yes', 'true'].indexOf(env.toLowerCase()) !== -1;
}
exports.envToBool = envToBool;
//# sourceMappingURL=resolve-config.js.map